CPAN::Changes::Group(3)

NAME
CPAN::Changes::Group - An entry group in a CPAN Changes file

SYNOPSIS
  my $group = CPAN::Changes::Group->new(
    name    => 'A change group',
    changes => [
      'A change entry',
      'Another change entry',
    ],
  );

DESCRIPTION
Represents a group of change entries on a changelog release. This is a legacy interface for the and its use is discouraged.

Behind the scenes, this works as a proxy for the real CPAN::Changes::Entry objects.

ATTRIBUTES

  name
The name of the change group.

METHODS

  is_empty

  add_changes

  changes

  set_changes

  clear_changes

  serialize

SEE ALSO

•   CPAN::Changes

AUTHORS
See CPAN::Changes for authors.

COPYRIGHT AND LICENSE
See CPAN::Changes for the copyright and license.